## haskell-vty 4.6.0.6

=== test/Makefile ===
VERIF_TESTS := \
verify_attribute_ops \
verify_display_attributes \
verify_parse_terminfo_caps \
verify_eval_terminfo_caps \
verify_utf8_width \
verify_image_ops \
verify_image_trans \
verify_empty_image_props \
verify_picture_ops \
verify_span_ops \
verify_debug_terminal \
verify_inline \


TESTS :=\
Bench \
Bench2 \
BenchRenderChar \
Test \
Test2 \
yi_issue_264 \
vty_issue_18 \
$(VERIF_TESTS)

$(shell mkdir -p objects )

# TODO: Tests should also be buildable referencing the currently installed vty
GHC_ARGS=--make -i../src -package parallel -package deepseq-1.1.0.2 -hide-package transformers -hide-package monads-fd -hide-package monads-tf -package QuickCheck-2.4 -ignore-package vty ../cbits/gwinsz.c ../cbits/set_term_timing.c  ../cbits/mk_wcwidth.c -O -funbox-strict-fields -Wall -threaded -fno-full-laziness -fspec-constr -odir objects -hidir objects

GHC_PROF_ARGS=-prof -auto-all $(GHC_ARGS)

SOURCE := $(shell find ../src ../cbits -name '*.hs' -print -or -name '*.c' -print -or -name '*.h' -print)

.PHONY: all
all : $(VERIF_TESTS)

.PHONY: $(TESTS)
.SECONDEXPANSION:
$(TESTS) : 
	@echo running test $@
	@mkdir -p results/$@
	( ghc $(GHC_PROF_ARGS) $@ \
	&& time ./$@ +RTS -p -sresults/$@/mem_report \
	&& cp $@.prof results/$@/profile \
	)

.PHONY: interactive_terminal_test
interactive_terminal_test : 
	ghc $(GHC_ARGS) $@ && ./$@

## haskell-vty 3.1.8.4

=== debian/changelog ===
haskell-vty (3.1.8.4-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required
  * Add missing haskell-utf8-string BDs, no longer provided by GHC

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 May 2011 14:54:47 +0100

haskell-vty (3.1.8.4-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Vcs-Darcs: field.
  * debian/control: Add Homepage: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Use more sintetic link in Homepage:.
  * debian/control: Remove uneeded Build-Depends: in libghc6-utf8-
    string-*.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 16:09:58 +0100

haskell-vty (3.1.8.4-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adopt for the Debian Haskell Group

  [ Iain Lane ]
  * New upstream release
  * debian/control: Update for new build-dependencies 
  * debian/control: Bump standards-version, add Homepage field 

 -- Iain Lane <laney@ubuntu.com>  Sun, 12 Jul 2009 17:58:47 +0100

haskell-vty (3.0.1-1.2) unstable; urgency=low

  * Depend on hscolour

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Jul 2009 11:28:09 +0200

haskell-vty (3.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against current ghc (Closes: 523296, 534064, 517332) 
  * Change section
  * Update to current haskell-devscripts packaging style

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Jul 2009 02:41:15 +0200

haskell-vty (3.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Eric Warmenhoven <warmenhoven@debian.org>  Mon, 31 Mar 2008 17:40:43 -0700

haskell-vty (3.0.0-1) unstable; urgency=low

  * Initial release. Closes: #470396.

 -- Eric Warmenhoven <warmenhoven@debian.org>  Thu, 06 Mar 2008 16:09:48 -0800

=== debian/control ===
Source: haskell-vty
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Eric Warmenhoven <warmenhoven@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               haskell-devscripts (>= 0.7),
               ghc,
               ghc-prof,
               ghc-doc,
               libghc-terminfo-dev (>= 0.3),
               libghc-terminfo-dev (<< 0.4),
               libghc-utf8-string-dev (>= 0.3),
               libghc-utf8-string-dev (<< 0.4),
               libghc-terminfo-prof,
               libghc-utf8-string-prof,
               libghc-terminfo-doc,
               libghc-utf8-string-doc,
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/vty
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vty
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-vty

Package: libghc-vty-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Terminal interface library for ghc
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.

Package: libghc-vty-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Terminal interface library for ghc; profiling libraries
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.

Package: libghc-vty-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Terminal interface library for ghc; API documentation
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.

## haskell-vty 4.6.0.6

=== debian/changelog ===
haskell-vty (4.6.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 03 Jun 2011 12:15:18 -0400

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,34 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Eric Warmenhoven <warmenhoven@debian.org>
+Uploaders: Eric Warmenhoven <warmenhoven@debian.org>, Clint Adams <clint@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 7),
                haskell-devscripts (>= 0.7),
                ghc,
                ghc-prof,
                ghc-doc,
+               libghc-deepseq-dev (>= 1.1),
+               libghc-deepseq-dev (<< 1.2),
+               libghc-mtl-dev (>= 1.1.1),
+               libghc-mtl-dev (<< 2.1),
+               libghc-parallel-dev (>= 2.2),
+               libghc-parallel-dev (<< 3.2),
+               libghc-parsec3-dev,
                libghc-terminfo-dev (>= 0.3),
                libghc-terminfo-dev (<< 0.4),
                libghc-utf8-string-dev (>= 0.3),
                libghc-utf8-string-dev (<< 0.4),
+               libghc-deepseq-prof,
+               libghc-mtl-prof,
+               libghc-parallel-prof,
+               libghc-parsec3-prof,
                libghc-terminfo-prof,
                libghc-utf8-string-prof,
+               libghc-deepseq-doc,
+               libghc-mtl-doc,
+               libghc-parallel-doc,
+               libghc-parsec3-doc,
                libghc-terminfo-doc,
                libghc-utf8-string-doc,
 Standards-Version: 3.9.2

## haskell-vty 4.7.0.4

=== test/Makefile ===
--- 
+++ 
@@ -26,7 +26,18 @@
 $(shell mkdir -p objects )
 
 # TODO: Tests should also be buildable referencing the currently installed vty
-GHC_ARGS=--make -i../src -package parallel -package deepseq-1.1.0.2 -hide-package transformers -hide-package monads-fd -hide-package monads-tf -package QuickCheck-2.4 -ignore-package vty ../cbits/gwinsz.c ../cbits/set_term_timing.c  ../cbits/mk_wcwidth.c -O -funbox-strict-fields -Wall -threaded -fno-full-laziness -fspec-constr -odir objects -hidir objects
+GHC_ARGS=--make -i../src \
+		 -package parallel \
+		 -package deepseq-1.1.0.2 \
+		 -hide-package transformers \
+		 -hide-package monads-fd \
+		 -hide-package monads-tf \
+		 -package QuickCheck-2.4 \
+		 -ignore-package vty \
+		 ../cbits/gwinsz.c ../cbits/set_term_timing.c  ../cbits/mk_wcwidth.c \
+		 -O -funbox-strict-fields -Wall -threaded -fno-full-laziness -fspec-constr -fspec-constr-count=10 \
+		 -rtsopts \
+		 -odir objects -hidir objects
 
 GHC_PROF_ARGS=-prof -auto-all $(GHC_ARGS)
 
@@ -49,3 +60,7 @@
 interactive_terminal_test : 
 	ghc $(GHC_ARGS) $@ && ./$@
 
+.PHONY: core
+core :
+	ghc-core --no-asm --no-cast -- $(GHC_ARGS) Bench
+

=== debian/changelog ===
haskell-vty (4.7.0.4-1build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Dec 2011 11:35:34 +0000

haskell-vty (4.7.0.4-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 28 Aug 2011 12:27:55 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                haskell-devscripts (>= 0.7),
                ghc,
                ghc-prof,
-               ghc-doc,
                libghc-deepseq-dev (>= 1.1),
                libghc-deepseq-dev (<< 1.2),
                libghc-mtl-dev (>= 1.1.1),
@@ -20,18 +19,22 @@
                libghc-terminfo-dev (<< 0.4),
                libghc-utf8-string-dev (>= 0.3),
                libghc-utf8-string-dev (<< 0.4),
+               libghc-vector-dev,
                libghc-deepseq-prof,
                libghc-mtl-prof,
                libghc-parallel-prof,
                libghc-parsec3-prof,
                libghc-terminfo-prof,
                libghc-utf8-string-prof,
+               libghc-vector-prof,
+Build-Depends-Indep: ghc-doc,
                libghc-deepseq-doc,
                libghc-mtl-doc,
                libghc-parallel-doc,
                libghc-parsec3-doc,
                libghc-terminfo-doc,
                libghc-utf8-string-doc,
+               libghc-vector-doc,
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/vty
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vty

## haskell-vty 4.7.0.6

=== test/Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 		 -package parallel \
 		 -package deepseq-1.1.0.2 \
 		 -hide-package transformers \
-		 -hide-package monads-fd \
 		 -hide-package monads-tf \
 		 -package QuickCheck-2.4 \
 		 -ignore-package vty \

=== debian/changelog ===
haskell-vty (4.7.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 02 Jan 2012 12:34:16 -0500

## haskell-vty 4.7.0.10

=== debian/changelog ===
haskell-vty (4.7.0.10-2) unstable; urgency=low

  * Fix -doc dependency.

 -- Clint Adams <clint@debian.org>  Sun, 12 Feb 2012 21:04:48 -0500

haskell-vty (4.7.0.10-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 09 Feb 2012 23:13:35 -0500

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,16 @@
                haskell-devscripts (>= 0.7),
                ghc,
                ghc-prof,
-               libghc-deepseq-dev (>= 1.1),
-               libghc-deepseq-dev (<< 1.2),
                libghc-mtl-dev (>= 1.1.1),
                libghc-mtl-dev (<< 2.1),
                libghc-parallel-dev (>= 2.2),
-               libghc-parallel-dev (<< 3.2),
+               libghc-parallel-dev (<< 3.3),
                libghc-parsec3-dev,
                libghc-terminfo-dev (>= 0.3),
                libghc-terminfo-dev (<< 0.4),
                libghc-utf8-string-dev (>= 0.3),
                libghc-utf8-string-dev (<< 0.4),
-               libghc-vector-dev,
-               libghc-deepseq-prof,
+               libghc-vector-dev (>> 0.7),
                libghc-mtl-prof,
                libghc-parallel-prof,
                libghc-parsec3-prof,
@@ -28,7 +25,6 @@
                libghc-utf8-string-prof,
                libghc-vector-prof,
 Build-Depends-Indep: ghc-doc,
-               libghc-deepseq-doc,
                libghc-mtl-doc,
                libghc-parallel-doc,
                libghc-parsec3-doc,
@@ -67,7 +63,7 @@
 Package: libghc-vty-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${haskell:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Description: Terminal interface library for ghc; API documentation

## haskell-vty 4.7.0.14

=== test/Makefile ===
--- 
+++ 
@@ -28,10 +28,10 @@
 # TODO: Tests should also be buildable referencing the currently installed vty
 GHC_ARGS=--make -i../src \
 		 -package parallel \
-		 -package deepseq-1.1.0.2 \
+		 -package deepseq-1.3.0.0 \
 		 -hide-package transformers \
 		 -hide-package monads-tf \
-		 -package QuickCheck-2.4 \
+		 -package QuickCheck \
 		 -ignore-package vty \
 		 ../cbits/gwinsz.c ../cbits/set_term_timing.c  ../cbits/mk_wcwidth.c \
 		 -O -funbox-strict-fields -Wall -threaded -fno-full-laziness -fspec-constr -fspec-constr-count=10 \

=== debian/changelog ===
haskell-vty (4.7.0.14-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 19:08:47 +0200

haskell-vty (4.7.0.12-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 17 May 2012 23:00:17 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                ghc,
                ghc-prof,
                libghc-mtl-dev (>= 1.1.1),
-               libghc-mtl-dev (<< 2.1),
+               libghc-mtl-dev (<< 2.2),
                libghc-parallel-dev (>= 2.2),
                libghc-parallel-dev (<< 3.3),
                libghc-parsec3-dev,
@@ -31,7 +31,7 @@
                libghc-terminfo-doc,
                libghc-utf8-string-doc,
                libghc-vector-doc,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://hackage.haskell.org/package/vty
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vty
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-vty

## haskell-vty 4.7.0.20

=== debian/changelog ===
haskell-vty (4.7.0.20-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 22:49:26 +0100

haskell-vty (4.7.0.20-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:52 +0200

haskell-vty (4.7.0.20-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:26 +0200

haskell-vty (4.7.0.20-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 08 Nov 2012 22:28:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Warmenhoven <warmenhoven@debian.org>, Clint Adams <clint@debian.org>
 Build-Depends: cdbs,
-               debhelper (>= 7),
-               haskell-devscripts (>= 0.7),
+               debhelper (>= 9),
+               haskell-devscripts (>= 0.8.15),
                ghc,
                ghc-prof,
                libghc-mtl-dev (>= 1.1.1),
@@ -31,7 +31,7 @@
                libghc-terminfo-doc,
                libghc-utf8-string-doc,
                libghc-vector-doc,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/vty
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vty
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-vty
@@ -41,24 +41,22 @@
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Terminal interface library for ghc
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Terminal interface library for ghc${haskell:ShortBlurb}
  Vty is a terminal interface/control library for Haskell. It has a
  very easy API.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-vty-prof
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Terminal interface library for ghc; profiling libraries
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Terminal interface library for ghc${haskell:ShortBlurb}
  Vty is a terminal interface/control library for Haskell. It has a
  very easy API.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-vty-doc
 Architecture: all
@@ -66,9 +64,8 @@
 Depends: ${haskell:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: Terminal interface library for ghc; API documentation
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Terminal interface library for ghc${haskell:ShortBlurb}
  Vty is a terminal interface/control library for Haskell. It has a
  very easy API.
+ .
+ ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|vty-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/vty \
    ([\d\.]*\d)/

## haskell-vty 5.2.3

=== debian/changelog ===
haskell-vty (5.2.3-2) unstable; urgency=medium

  * Do not pass -fPIC, as per
    http://ghc.haskell.org/trac/ghc/ticket/9657#comment:7 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Oct 2014 21:12:27 +0200

haskell-vty (5.2.3-1) unstable; urgency=medium

  * New upstream release
  * Depend on ghc-ghci, as it uses Template Haskell

 -- Joachim Breitner <nomeata@debian.org>  Tue, 30 Sep 2014 12:26:57 +0200

haskell-vty (5.2.1-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout
  * Remove Eric Warmenhoven from Uploaders (Closes: #738891)

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 01 Aug 2014 20:00:04 -0400

=== debian/control ===
Source: haskell-vty
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: cdbs
  , debhelper (>= 9)
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , ghc-ghci
  , libghc-blaze-builder-dev (>= 0.3.3.2)
  , libghc-blaze-builder-dev (<< 0.4)
  , libghc-blaze-builder-prof
  , libghc-cabal-dev (>= 1.18.0)
  , libghc-cabal-prof
  , libghc-data-default-dev (>= 0.5.3)
  , libghc-data-default-prof
  , libghc-hashable-dev (>= 1.2)
  , libghc-hashable-prof
  , libghc-lens-dev (>= 3.9.0.2)
  , libghc-lens-dev (<< 4.4)
  , libghc-lens-prof
  , libghc-mtl-dev (>= 1.1.1.0)
  , libghc-mtl-dev (<< 2.3)
  , libghc-mtl-prof
  , libghc-parallel-dev (>= 2.2)
  , libghc-parallel-dev (<< 3.3)
  , libghc-parallel-prof
  , libghc-parsec3-dev
  , libghc-parsec3-prof
  , libghc-terminfo-dev (>= 0.3)
  , libghc-terminfo-dev (<< 0.5)
  , libghc-terminfo-prof
  , libghc-text-dev (>= 0.11.3)
  , libghc-text-prof
  , libghc-transformers-dev (>= 0.3.0.0)
  , libghc-transformers-prof
  , libghc-utf8-string-dev (>= 0.3)
  , libghc-utf8-string-dev (<< 0.4)
  , libghc-utf8-string-prof
  , libghc-vector-dev (>= 0.7)
  , libghc-vector-prof
Build-Depends-Indep: ghc-doc
  , libghc-blaze-builder-doc
  , libghc-data-default-doc
  , libghc-hashable-doc
  , libghc-lens-doc
  , libghc-mtl-doc
  , libghc-parallel-doc
  , libghc-parsec3-doc
  , libghc-terminfo-doc
  , libghc-text-doc
  , libghc-transformers-doc
  , libghc-utf8-string-doc
  , libghc-vector-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/vty
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vty
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-vty

Package: libghc-vty-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

Package: libghc-vty-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

Package: libghc-vty-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

## haskell-vty 5.2.8

=== debian/changelog ===
haskell-vty (5.2.8-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:59:10 +0200

haskell-vty (5.2.8-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:52 +0200

haskell-vty (5.2.8-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Apr 2015 15:11:49 +0200

haskell-vty (5.2.6-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release
  * Do not depend on transformers, which now comes with GHC
  * Do not depend on terminfo, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Dec 2014 01:18:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Clint Adams <clint@debian.org>
 Build-Depends: cdbs
   , debhelper (>= 9)
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , ghc-ghci
   , libghc-blaze-builder-dev (>= 0.3.3.2)
-  , libghc-blaze-builder-dev (<< 0.4)
+  , libghc-blaze-builder-dev (<< 0.5)
   , libghc-blaze-builder-prof
   , libghc-cabal-dev (>= 1.18.0)
   , libghc-cabal-prof
@@ -19,7 +19,7 @@
   , libghc-hashable-dev (>= 1.2)
   , libghc-hashable-prof
   , libghc-lens-dev (>= 3.9.0.2)
-  , libghc-lens-dev (<< 4.4)
+  , libghc-lens-dev (<< 4.9)
   , libghc-lens-prof
   , libghc-mtl-dev (>= 1.1.1.0)
   , libghc-mtl-dev (<< 2.3)
@@ -29,15 +29,10 @@
   , libghc-parallel-prof
   , libghc-parsec3-dev
   , libghc-parsec3-prof
-  , libghc-terminfo-dev (>= 0.3)
-  , libghc-terminfo-dev (<< 0.5)
-  , libghc-terminfo-prof
   , libghc-text-dev (>= 0.11.3)
   , libghc-text-prof
-  , libghc-transformers-dev (>= 0.3.0.0)
-  , libghc-transformers-prof
   , libghc-utf8-string-dev (>= 0.3)
-  , libghc-utf8-string-dev (<< 0.4)
+  , libghc-utf8-string-dev (<< 1.1)
   , libghc-utf8-string-prof
   , libghc-vector-dev (>= 0.7)
   , libghc-vector-prof
@@ -49,9 +44,7 @@
   , libghc-mtl-doc
   , libghc-parallel-doc
   , libghc-parsec3-doc
-  , libghc-terminfo-doc
   , libghc-text-doc
-  , libghc-transformers-doc
   , libghc-utf8-string-doc
   , libghc-vector-doc
 Standards-Version: 3.9.5

## haskell-vty 5.3.1

=== debian/changelog ===
haskell-vty (5.3.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:14 -0500

haskell-vty (5.3.1-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:59 +0200

=== debian/control ===
Source: haskell-vty
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-blaze-builder-dev (>= 0.3.3.2),
 libghc-blaze-builder-dev (<< 0.5),
 libghc-blaze-builder-prof,
 libghc-data-default-dev (>= 0.5.3),
 libghc-data-default-prof,
 libghc-hashable-dev (>= 1.2),
 libghc-hashable-prof,
 libghc-lens-dev (>= 3.9.0.2),
 libghc-lens-dev (<< 5.0),
 libghc-lens-prof,
 libghc-mtl-dev (>= 1.1.1.0),
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-prof,
 libghc-parallel-dev (>= 2.2),
 libghc-parallel-dev (<< 3.3),
 libghc-parallel-prof,
 libghc-parsec3-dev (>= 2),
 libghc-parsec3-dev (<< 4),
 libghc-parsec3-prof,
 libghc-text-dev (>= 0.11.3),
 libghc-text-prof,
 libghc-utf8-string-dev (>= 0.3),
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-prof,
 libghc-vector-dev (>= 0.7),
 libghc-vector-prof,
 libghc-lens-dev,
Build-Depends-Indep: ghc-doc,
 libghc-blaze-builder-doc,
 libghc-data-default-doc,
 libghc-hashable-doc,
 libghc-lens-doc,
 libghc-mtl-doc,
 libghc-parallel-doc,
 libghc-parsec3-doc,
 libghc-text-doc,
 libghc-utf8-string-doc,
 libghc-vector-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/coreyoconnor/vty
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-vty-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

Package: libghc-vty-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

Package: libghc-vty-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

## haskell-vty 5.4.0

=== debian/changelog ===
haskell-vty (5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 22:06:31 -0500

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,8 @@
  libghc-parsec3-dev (>= 2),
  libghc-parsec3-dev (<< 4),
  libghc-parsec3-prof,
+ libghc-stm-dev,
+ libghc-stm-prof,
  libghc-text-dev (>= 0.11.3),
  libghc-text-prof,
  libghc-utf8-string-dev (>= 0.3),
@@ -43,6 +45,7 @@
  libghc-mtl-doc,
  libghc-parallel-doc,
  libghc-parsec3-doc,
+ libghc-stm-doc,
  libghc-text-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,

## haskell-vty 5.5.0

=== debian/changelog ===
haskell-vty (5.5.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:17:30 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,12 @@
  libghc-data-default-prof,
  libghc-hashable-dev (>= 1.2),
  libghc-hashable-prof,
- libghc-lens-dev (>= 3.9.0.2),
- libghc-lens-dev (<< 5.0),
- libghc-lens-prof,
+ libghc-microlens-dev,
+ libghc-microlens-prof,
+ libghc-microlens-mtl-dev,
+ libghc-microlens-mtl-prof,
+ libghc-microlens-th-dev,
+ libghc-microlens-th-prof,
  libghc-mtl-dev (>= 1.1.1.0),
  libghc-mtl-dev (<< 2.3),
  libghc-mtl-prof,
@@ -36,12 +39,13 @@
  libghc-utf8-string-prof,
  libghc-vector-dev (>= 0.7),
  libghc-vector-prof,
- libghc-lens-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-blaze-builder-doc,
  libghc-data-default-doc,
  libghc-hashable-doc,
- libghc-lens-doc,
+ libghc-microlens-doc,
+ libghc-microlens-mtl-doc,
+ libghc-microlens-th-doc,
  libghc-mtl-doc,
  libghc-parallel-doc,
  libghc-parsec3-doc,
@@ -49,10 +53,10 @@
  libghc-text-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/coreyoconnor/vty
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-vty-dev
 Architecture: any

## haskell-vty 5.11.3

=== debian/changelog ===
haskell-vty (5.11.3-1build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:17:42 +0000

haskell-vty (5.11.3-1build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 23:13:55 +0100

haskell-vty (5.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 21:05:53 -0400

haskell-vty (5.11.1-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:52 -0400

haskell-vty (5.11.1-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 19:16:34 -0400

haskell-vty (5.11-1) experimental; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 00:52:51 -0400

=== debian/control ===
Source: haskell-vty
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-blaze-builder-dev (<< 0.5),
 libghc-blaze-builder-dev (>= 0.3.3.2),
 libghc-blaze-builder-prof,
 libghc-data-default-dev (>= 0.5.3),
 libghc-data-default-prof,
 libghc-hashable-dev (>= 1.2),
 libghc-hashable-prof,
 libghc-microlens-dev,
 libghc-microlens-mtl-dev,
 libghc-microlens-mtl-prof,
 libghc-microlens-prof,
 libghc-microlens-th-dev,
 libghc-microlens-th-prof,
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-dev (>= 1.1.1.0),
 libghc-mtl-prof,
 libghc-parallel-dev (<< 3.3),
 libghc-parallel-dev (>= 2.2),
 libghc-parallel-prof,
 libghc-parsec3-dev (<< 4),
 libghc-parsec3-dev (>= 2),
 libghc-parsec3-prof,
 libghc-stm-dev,
 libghc-stm-prof,
 libghc-text-dev (>= 0.11.3),
 libghc-text-prof,
 libghc-utf8-string-dev (<< 1.1),
 libghc-utf8-string-dev (>= 0.3),
 libghc-utf8-string-prof,
 libghc-vector-dev (>= 0.7),
 libghc-vector-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-blaze-builder-doc,
 libghc-data-default-doc,
 libghc-hashable-doc,
 libghc-microlens-doc,
 libghc-microlens-mtl-doc,
 libghc-microlens-th-doc,
 libghc-mtl-doc,
 libghc-parallel-doc,
 libghc-parsec3-doc,
 libghc-stm-doc,
 libghc-text-doc,
 libghc-utf8-string-doc,
 libghc-vector-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/coreyoconnor/vty
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-vty
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-vty-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

Package: libghc-vty-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

Package: libghc-vty-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Terminal interface library for ghc${haskell:ShortBlurb}
 Vty is a terminal interface/control library for Haskell. It has a
 very easy API.
 .
 ${haskell:Blurb}

## haskell-vty 5.15.1

=== debian/changelog ===
haskell-vty (5.15.1-2build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jul 2017 09:35:44 +0200

haskell-vty (5.15.1-2) unstable; urgency=medium

  * Stop trying to install TODO file, removed upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 13:51:55 +0200

haskell-vty (5.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 22:03:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-vty
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: extra
@@ -14,8 +13,6 @@
  libghc-blaze-builder-dev (<< 0.5),
  libghc-blaze-builder-dev (>= 0.3.3.2),
  libghc-blaze-builder-prof,
- libghc-data-default-dev (>= 0.5.3),
- libghc-data-default-prof,
  libghc-hashable-dev (>= 1.2),
  libghc-hashable-prof,
  libghc-microlens-dev,
@@ -45,7 +42,6 @@
 Build-Depends-Indep:
  ghc-doc,
  libghc-blaze-builder-doc,
- libghc-data-default-doc,
  libghc-hashable-doc,
  libghc-microlens-doc,
  libghc-microlens-mtl-doc,
@@ -58,7 +54,7 @@
  libghc-utf8-string-doc,
  libghc-vector-doc,
 Standards-Version: 3.9.8
-Homepage: https://github.com/coreyoconnor/vty
+Homepage: https://github.com/jtdaugherty/vty
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-vty
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

## haskell-vty 5.16

=== debian/changelog ===
haskell-vty (5.16-1build1) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 04:24:39 +0000

haskell-vty (5.16-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Sep 2017 14:15:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-vty
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: extra

=== debian/watch ===
version=3
http://hackage.haskell.org/package/vty/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-vty 5.20

=== debian/changelog ===
haskell-vty (5.20-1build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 15:29:40 +0200

haskell-vty (5.20-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:25:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: haskell-vty
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -54,10 +53,10 @@
  libghc-text-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/jtdaugherty/vty
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-vty
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-vty
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-vty-dev
 Architecture: any

## haskell-vty 5.21

=== debian/changelog ===
haskell-vty (5.21-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:15 +0300

haskell-vty (5.21-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-stm-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 17:50:20 +0300

haskell-vty (5.21-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 11:16:19 +0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
  Clint Adams <clint@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-blaze-builder-dev (<< 0.5),
@@ -21,19 +22,9 @@
  libghc-microlens-prof,
  libghc-microlens-th-dev,
  libghc-microlens-th-prof,
- libghc-mtl-dev (<< 2.3),
- libghc-mtl-dev (>= 1.1.1.0),
- libghc-mtl-prof,
  libghc-parallel-dev (<< 3.3),
  libghc-parallel-dev (>= 2.2),
  libghc-parallel-prof,
- libghc-parsec3-dev (<< 4),
- libghc-parsec3-dev (>= 2),
- libghc-parsec3-prof,
- libghc-stm-dev,
- libghc-stm-prof,
- libghc-text-dev (>= 0.11.3),
- libghc-text-prof,
  libghc-utf8-string-dev (<< 1.1),
  libghc-utf8-string-dev (>= 0.3),
  libghc-utf8-string-prof,
@@ -46,17 +37,13 @@
  libghc-microlens-doc,
  libghc-microlens-mtl-doc,
  libghc-microlens-th-doc,
- libghc-mtl-doc,
  libghc-parallel-doc,
- libghc-parsec3-doc,
- libghc-stm-doc,
- libghc-text-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
 Standards-Version: 4.1.4
 Homepage: https://github.com/jtdaugherty/vty
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-vty
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-vty]
 
 Package: libghc-vty-dev
 Architecture: any

## haskell-vty 5.25.1

=== debian/changelog ===
haskell-vty (5.25.1-1build2) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 25 Aug 2019 20:51:43 +0200

haskell-vty (5.25.1-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 09:59:13 +0200

haskell-vty (5.25.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 26 Jul 2019 22:16:24 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
  libghc-blaze-builder-prof,
  libghc-hashable-dev (>= 1.2),
  libghc-hashable-prof,
- libghc-microlens-dev,
+ libghc-microlens-dev (<< 0.4.11),
+ libghc-microlens-prof,
  libghc-microlens-mtl-dev,
  libghc-microlens-mtl-prof,
  libghc-microlens-prof,
@@ -30,8 +31,7 @@
  libghc-utf8-string-prof,
  libghc-vector-dev (>= 0.7),
  libghc-vector-prof,
-Build-Depends-Indep:
- ghc-doc,
+Build-Depends-Indep: ghc-doc,
  libghc-blaze-builder-doc,
  libghc-hashable-doc,
  libghc-microlens-doc,
@@ -40,7 +40,7 @@
  libghc-parallel-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/jtdaugherty/vty
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-vty
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-vty]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/vty/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-vty 5.26

=== debian/changelog ===
haskell-vty (5.26-1build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 17:30:21 +0200

haskell-vty (5.26-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 19:00:15 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libghc-blaze-builder-prof,
  libghc-hashable-dev (>= 1.2),
  libghc-hashable-prof,
- libghc-microlens-dev (<< 0.4.11),
+ libghc-microlens-dev (<< 0.4.12),
  libghc-microlens-prof,
  libghc-microlens-mtl-dev,
  libghc-microlens-mtl-prof,

## haskell-vty 5.28.2

=== debian/changelog ===
haskell-vty (5.28.2-1build1) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:54:05 +0000

haskell-vty (5.28.2-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 17 Aug 2020 13:38:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-vty
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: optional
@@ -11,8 +12,10 @@
  ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
+ libghc-ansi-terminal-dev (>= 0.10.3),
+ libghc-ansi-terminal-prof,
+ libghc-blaze-builder-dev (>= 0.3.3.2),
  libghc-blaze-builder-dev (<< 0.5),
- libghc-blaze-builder-dev (>= 0.3.3.2),
  libghc-blaze-builder-prof,
  libghc-hashable-dev (>= 1.2),
  libghc-hashable-prof,
@@ -32,6 +35,7 @@
  libghc-vector-dev (>= 0.7),
  libghc-vector-prof,
 Build-Depends-Indep: ghc-doc,
+ libghc-ansi-terminal-doc,
  libghc-blaze-builder-doc,
  libghc-hashable-doc,
  libghc-microlens-doc,

## haskell-vty 5.33

=== debian/changelog ===
haskell-vty (5.33-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 20 Jun 2022 17:55:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-vty
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
 Priority: optional
@@ -19,7 +18,7 @@
  libghc-blaze-builder-prof,
  libghc-hashable-dev (>= 1.2),
  libghc-hashable-prof,
- libghc-microlens-dev (<< 0.4.12),
+ libghc-microlens-dev (<< 0.4.13),
  libghc-microlens-prof,
  libghc-microlens-mtl-dev,
  libghc-microlens-mtl-prof,

## haskell-vty 5.38

=== debian/changelog ===
haskell-vty (5.38-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 10 Sep 2023 22:13:41 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-ansi-terminal-dev (>= 0.10.3),
@@ -16,18 +16,14 @@
  libghc-blaze-builder-dev (>= 0.3.3.2),
  libghc-blaze-builder-dev (<< 0.5),
  libghc-blaze-builder-prof,
- libghc-hashable-dev (>= 1.2),
- libghc-hashable-prof,
- libghc-microlens-dev (<< 0.4.13),
+ libghc-microlens-dev (<< 0.4.14),
  libghc-microlens-prof,
  libghc-microlens-mtl-dev,
  libghc-microlens-mtl-prof,
  libghc-microlens-prof,
  libghc-microlens-th-dev,
  libghc-microlens-th-prof,
- libghc-parallel-dev (<< 3.3),
- libghc-parallel-dev (>= 2.2),
- libghc-parallel-prof,
+ libghc-utf8-string-dev (>= 0.3),
  libghc-utf8-string-dev (<< 1.1),
  libghc-utf8-string-dev (>= 0.3),
  libghc-utf8-string-prof,
@@ -36,14 +32,12 @@
 Build-Depends-Indep: ghc-doc,
  libghc-ansi-terminal-doc,
  libghc-blaze-builder-doc,
- libghc-hashable-doc,
  libghc-microlens-doc,
  libghc-microlens-mtl-doc,
  libghc-microlens-th-doc,
- libghc-parallel-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jtdaugherty/vty
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-vty
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-vty]

## haskell-vty 6.1

=== debian/changelog ===
haskell-vty (6.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 19 Sep 2024 20:37:03 +0300

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,9 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
+ haskell-devscripts (>= 0.13),
  ghc (>= 9.4),
  ghc-prof,
- haskell-devscripts (>= 0.13),
- libghc-ansi-terminal-dev (>= 0.10.3),
- libghc-ansi-terminal-prof,
  libghc-blaze-builder-dev (>= 0.3.3.2),
  libghc-blaze-builder-dev (<< 0.5),
  libghc-blaze-builder-prof,
@@ -30,14 +28,13 @@
  libghc-vector-dev (>= 0.7),
  libghc-vector-prof,
 Build-Depends-Indep: ghc-doc,
- libghc-ansi-terminal-doc,
  libghc-blaze-builder-doc,
  libghc-microlens-doc,
  libghc-microlens-mtl-doc,
  libghc-microlens-th-doc,
  libghc-utf8-string-doc,
  libghc-vector-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jtdaugherty/vty
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-vty
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-vty]
